BorderStyle (JGoodies Looks 2.6 API)
Date: 2015-01-03

com.jgoodies.looks

## Class BorderStyle

- java.lang.Object
- - com.jgoodies.looks.BorderStyle

-     public final class BorderStyle
      extends Object

  Describes the border styles for JMenuBar and JToolBar. Border styles are look-dependent and shadow look-independent `HeaderStyle`s.
  Version:
    $Revision: 1.9 $
  Author:
    Karsten Lentzsch
  See Also:
    `HeaderStyle`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BorderStyle` | `EMPTY`
    `static BorderStyle` | `ETCHED`
    `static BorderStyle` | `SEPARATOR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BorderStyle` | `from(JMenuBar menuBar, String clientPropertyKey)` Looks up the client property for the header style from the JMenuBar.
    `static BorderStyle` | `from(JToolBar toolBar, String clientPropertyKey)` Looks up the client property for the header style from the JToolBar.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final BorderStyle EMPTY

    - #### SEPARATOR

          public static final BorderStyle SEPARATOR

    - #### ETCHED

          public static final BorderStyle ETCHED

  - ### Method Detail

    - #### from

          public static BorderStyle from(JToolBar toolBar,
                         String clientPropertyKey)

      Looks up the client property for the header style from the JToolBar.
      Parameters:
        `toolBar` - the tool bar to inspect
        `clientPropertyKey` - the key used to lookup the property
      Returns:
        the border style used to choose a border in the UI delegate

    - #### from

          public static BorderStyle from(JMenuBar menuBar,
                         String clientPropertyKey)

      Looks up the client property for the header style from the JMenuBar.
      Parameters:
        `menuBar` - the menu bar to inspect
        `clientPropertyKey` - the key used to lookup the property
      Returns:
        the border style used to choose a border in the UI delegate

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.